---@class GrimmsUltrawide
local GU = LibStub("AceAddon-3.0"):GetAddon("GrimmsUltrawide")

GU.defaultAddMoneyFunc = GameTooltip_OnTooltipAddMoney

function GU:ApplyAuctionatorFix()
    if GU.db.global.auctionator then
        GU:EnableAuctionatorFix()
    else
        GU:DisableAuctionatorFix()
    end
end

function GU:EnableAuctionatorFix()
    if Auctionator then
        GameTooltip_OnTooltipAddMoney = function() end
    end
end

function GU:DisableAuctionatorFix()
    GameTooltip_OnTooltipAddMoney = GU.defaultAddMoneyFunc
end

function GU:ApplySpellPushTweaks()
    if self.db.global.disableSpellPush then
        SetCVar("AutoPushSpellToActionBar", 0)
    end
end
